Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::Moog Class Reference

STK moog-like swept filter sampling synthesis class. More...

`#include <Moog.h>`

Inheritance diagram for stk::Moog:

List of all members.

## Public Member Functions
| Moog (void)
| Class constructor.
| ~Moog (void)
| Class destructor.
void | setFrequency (StkFloat frequency)
| Set instrument parameters for a particular frequency.
void | noteOn (StkFloat frequency, StkFloat amplitude)
| Start a note with the given frequency and amplitude.
void | setModulationSpeed (StkFloat mSpeed)
| Set the modulation (vibrato) speed in Hz.
void | setModulationDepth (StkFloat mDepth)
| Set the modulation (vibrato) depth.
void | controlChange (int number, StkFloat value)
| Perform the control change specified by number and value (0.0 - 128.0).
StkFloat | tick (unsigned int channel=0)
| Compute and return one output sample.

## Detailed Description

STK moog-like swept filter sampling synthesis class.

This instrument uses one attack wave, one looped wave, and an ADSR envelope (inherited from the Sampler class) and adds two sweepable formant (FormSwep) filters.

Control Change Numbers:

- Filter Q = 2
- Filter Sweep Rate = 4
- Vibrato Frequency = 11
- Vibrato Gain = 1
- Gain = 128

by Perry R. Cook and Gary P. Scavone, 1995 - 2010.

## Constructor & Destructor Documentation

stk::Moog::Moog | ( | void |  | ) |

Class constructor.

An StkError will be thrown if the rawwave path is incorrectly set.

The documentation for this class was generated from the following file:

- Moog.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.